import type { AxiosError } from 'axios';
import { ElMessage } from 'element-plus';
import type { RawResp } from '../api';

export function errorMessage(
  operation: string,
  code: string | number | undefined,
  message: string,
) {
  return `${operation}: ${code !== undefined ? `(${code})${message}` : message}`;
}
export const withCatchRequestError = (promise: Promise<RawResp>) =>
  promise.catch((err: AxiosError): undefined => {
    ElMessage.error([err.code, err.message].join(':'));
  });
export const uint8ToDataURL = (uint8: Uint8Array, type: string) =>
  `data:${type},${btoa(new TextDecoder().decode(uint8))}`;
